---
title: "Profiles"
description: "Profile subscriptions, ownership, and configuration"
canonical: https://y2.dev/docs/api/reference/profiles/
---

Endpoint Reference

# Profiles

Profile subscriptions, ownership, and configuration

[GET /profiles](https://y2.dev/docs/api/reference/profiles/listProfiles): List subscribed profiles

[POST /profiles](https://y2.dev/docs/api/reference/profiles/createProfile): Create an intelligence profile

[GET /profiles/{profileId}](https://y2.dev/docs/api/reference/profiles/getProfile): Get a subscribed profile

[PATCH /profiles/{profileId}](https://y2.dev/docs/api/reference/profiles/patchProfile): Update a profile (partial)

[DELETE /profiles/{profileId}](https://y2.dev/docs/api/reference/profiles/deleteProfile): Delete a profile

[PUT /profiles/{profileId}](https://y2.dev/docs/api/reference/profiles/updateProfile): Update a profile (full replacement)
